Description

While you can use new axis groups and robotics to make custom control surfaces, etc, they are somewhat useless if not used by
stability assist. Adding it as an option would be neat.

History

#1 - 08/09/2019 10:18 AM - AHHans
- Version changed from 1.7.2t0 1.7.3

- Expansion deleted (Core Game)

| agree with the OP.

Right now the yaw, pitch, and roll axis groups behave like custom axis groups that just happen to be matched to the same keys as the controls for the
craft. Neither SAS nor the manual trim affects the deflection of the axis groups. This is in contrast to the Main Throttle axis group, which behaves as |
would expect it: the throttle setting directly sets the deflection of the axis group.

One additional effect is that yaw/pitch/roll values that are displayed in the Mode Control Window during flight have different effects, depending on if
the control input comes from SAS / trimming, or from manual control inputs.

P.S. If it wasn't clear: yes, | also recognize that this would mean that "Incremental Control" for these axis groups wouldn't make sense anymore, and

only "Absolute Control" is available. Just like it is for the Main Throttle axis group.
P.P.S. Or to not break existing craft one could add a "Absolute Control with SAS" setting. :)

#2 - 10/17/2019 07:50 AM - AHHans

This seems to be still around in version 1.8.0 (BG 1.3.0)

#3 - 12/26/2020 04:10 PM - lefty
- Version changed from 1.7.3to 1.11.0

- Expansion Core Game added

This would be the only way to use automatic stability control for a VTOL craft as far as | can see. Unrealistic that this would not be possible.

#4 - 02/04/2023 01:38 PM - Mesh5
Bumping this
